import { Raycaster } from "three";
import { PointOctant } from "../../points/PointOctant";
import { RayPointIntersection } from "./RayPointIntersection";
/**
 * Collects points that intersect with the given ray.
 *
 * @param octants - An array containing octants that intersect with the ray.
 * @param raycaster - The raycaster.
 * @param intersects - An array to be filled with intersecting points.
 */
export declare function testPoints<T>(octants: PointOctant<T>[], raycaster: Raycaster, intersects: RayPointIntersection<T>[]): void;
